"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const rootDirs = [];
const typeRoots = [`${__dirname}/../node_modules/@types`];
function registerTSNode(debug, root) {
    try {
        debug('registering ts-node at', root);
        const tsNode = require('ts-node');
        typeRoots.push(`${root}/../node_modules/@types`);
        rootDirs.push(`${root}/src`);
        tsNode.register({
            project: false,
            // cache: false,
            // typeCheck: true,
            compilerOptions: {
                target: 'esnext',
                module: 'commonjs',
                rootDirs,
                typeRoots,
            }
        });
    }
    catch (err) {
        cli_ux_1.default.warn(err);
    }
}
exports.registerTSNode = registerTSNode;
